%global dlrn_nvr oslo.vmware-3.8.2-1.20220810165344.dc1a466
%global dlrn 1
%define upstream_version 3.8.2
%{!?sources_gpg: %{!?dlrn:%global sources_gpg 1} }
%global sources_gpg_sign 0xa63ea142678138d1bb15f2e303bdfd64dd164087
%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
%global pypi_name oslo.vmware
%global pkg_name oslo-vmware

%global with_doc 0

%global common_desc \
The Oslo project intends to produce a python library containing infrastructure \
code shared by OpenStack projects. The APIs provided by the project should be \
high quality, stable, consistent and generally useful. \
The Oslo VMware library provides support for common VMware operations and APIs.

Name:           python-%{pkg_name}
Version: 3.8.2
Release: 1.20220810165344.dc1a466%{?dist}
Summary:        Oslo VMware library for OpenStack projects

License:        ASL 2.0
URL:            http://launchpad.net/oslo
Source0: oslo.vmware-3.8.2-1.20220810165344.dc1a466.tar.gz
#
# patches_ignore=DROP-IN-RPM
# patches_base=dc1a4668581ecb2724ecac007ff5baf6d47bc432

# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
Source101:        https://tarballs.openstack.org/%{pypi_name}/%{pypi_name}-%{upstream_version}.tar.gz.asc
Source102:        https://releases.openstack.org/_static/%{sources_gpg_sign}.txt
%endif

BuildArch:      noarch

# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
BuildRequires:  /usr/bin/gpgv2
BuildRequires:  openstack-macros
%endif

%description
%{common_desc}

%package -n python3-%{pkg_name}
Summary:        Oslo VMware library for OpenStack projects
%{?python_provide:%python_provide python3-%{pkg_name}}

BuildRequires:  python3-devel
BuildRequires:  python3-pbr
BuildRequires:  git-core
# test dependencies
BuildRequires: python3-ddt
BuildRequires: python3-fixtures
BuildRequires: python3-mock
BuildRequires: python3-mox3
BuildRequires: python3-stestr
BuildRequires: python3-subunit
BuildRequires: python3-testtools
BuildRequires: python3-suds
BuildRequires: python3-oslo-concurrency
BuildRequires: python3-oslo-context
BuildRequires: python3-oslo-utils
BuildRequires: python3-oslo-i18n
BuildRequires: python3-eventlet
BuildRequires: python3-oslo-i18n
BuildRequires: python3-oslo-utils
BuildRequires: python3-requests >= 2.14.2
BuildRequires: python3-suds
BuildRequires: python3-netaddr
# Required to compile translation files
BuildRequires: python3-testscenarios
BuildRequires: python3-babel

BuildRequires: python3-lxml

Requires:  python3-pbr
Requires:  python3-eventlet
Requires:  python3-oslo-concurrency >= 3.26.0
Requires:  python3-oslo-context >= 2.19.2
Requires:  python3-oslo-i18n >= 3.15.3
Requires:  python3-oslo-utils
Requires:  python3-requests
Requires:  python3-stevedore >= 1.20.0
Requires:  python3-suds >= 0.6
Requires:  python3-urllib3
Requires:  python3-netaddr
Requires:  python-%{pkg_name}-lang = %{version}-%{release}

Requires:  python3-lxml
Requires:  python3-yaml >= 3.13

%description -n python3-%{pkg_name}
%{common_desc}

%if 0%{?with_doc}
%package -n python-%{pkg_name}-doc
Summary:    Documentation for OpenStack common VMware library

BuildRequires: python3-sphinx
BuildRequires: python3-sphinxcontrib-apidoc
BuildRequires: python3-openstackdocstheme

%description -n python-%{pkg_name}-doc
Documentation for OpenStack common VMware library.
%endif

%package -n python3-%{pkg_name}-tests
Summary:    Test subpackage for OpenStack common VMware library

Requires: python3-%{pkg_name} = %{version}-%{release}
Requires: python3-fixtures
Requires: python3-mock
Requires: python3-mox3
Requires: python3-subunit
Requires: python3-testtools
Requires: python3-suds >= 0.6
Requires: python3-oslo-context
Requires: python3-oslo-utils
Requires: python3-oslo-i18n >= 3.15.3
Requires: python3-testscenarios

%description -n python3-%{pkg_name}-tests
Tests for OpenStack common VMware library.

%package  -n python-%{pkg_name}-lang
Summary:   Translation files for Oslo vmware library

%description -n python-%{pkg_name}-lang
Translation files for Oslo vmware library

%prep
# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
%{gpgverify}  --keyring=%{SOURCE102} --signature=%{SOURCE101} --data=%{SOURCE0}
%endif
%autosetup -n %{pypi_name}-%{upstream_version} -S git
# FIXME(hguemar): requirements blocks 0.20.1 due to lp#1696094
# but eventlet 0.20.1-2 package has backported the fix
sed -i '/eventlet/s/!=0.20.1,//' requirements.txt
# FIXME(hguemar): we use system lxml from EL8 Appstream
sed -i 's/lxml.*/lxml/' requirements.txt
# We are managing BR on python3-suds manually. suds have two different
# forks suds and suds-jurko. CentOS>8 is moving to suds instead of
# suds jurko
sed -i '/^suds-jurko.*/d' requirements.txt

%build
%{py3_build}

%if 0%{?with_doc}
# generate html docs
sphinx-build-3 -b html doc/source doc/build/html

# remove the sphinx-build-3 leftovers
rm -rf doc/build/html/.{doctrees,buildinfo}
%endif

# Generate i18n files
python3 setup.py compile_catalog -d build/lib/oslo_vmware/locale --domain oslo_vmware

%install
%{py3_install}

# Install i18n .mo files (.po and .pot are not required)
install -d -m 755 %{buildroot}%{_datadir}
rm -f %{buildroot}%{python3_sitelib}/oslo_vmware/locale/*/LC_*/oslo_vmware*po
rm -f %{buildroot}%{python3_sitelib}/oslo_vmware/locale/*pot
mv %{buildroot}%{python3_sitelib}/oslo_vmware/locale %{buildroot}%{_datadir}/locale

# Find language files
%find_lang oslo_vmware --all-name

%check
rm -f ./oslo_vmware/tests/test_hacking.py
export OS_TEST_PATH="./oslo_vmware/tests"
PYTHON=python3 stestr-3 --test-path $OS_TEST_PATH run

%files -n python3-%{pkg_name}
%doc README.rst
%license LICENSE
%{python3_sitelib}/oslo_vmware
%{python3_sitelib}/*.egg-info
%exclude %{python3_sitelib}/oslo_vmware/tests

%if 0%{?with_doc}
%files -n python-%{pkg_name}-doc
%doc doc/build/html
%license LICENSE
%endif

%files -n python3-%{pkg_name}-tests
%{python3_sitelib}/oslo_vmware/tests

%files -n python-%{pkg_name}-lang -f oslo_vmware.lang
%license LICENSE

%changelog
* Wed Aug 10 2022 OSP Prod Chain <dev-null@redhat.com> 3.8.2-1.20220810165344.dc1a466
- Update patches
- [stable-only] Pin virtualenv

* Thu Aug 04 2022 OSP Prod Chain <dev-null@redhat.com> 3.8.1-1.20220804084147.27eeee2
- Update patches

* Wed Jul 27 2022 OSP Prod Chain <dev-null@redhat.com> 3.8.1-1.20220727130733.27eeee2
- [stable-only] Pin virtualenv (rhbz#2108082)

* Thu Jul 14 2022 OSP Prod Chain <dev-null@redhat.com> 3.8.1-1.20220714111051.27eeee2
- Update patches

* Wed Jul 13 2022 OSP Prod Chain <dev-null@redhat.com> 3.8.1-1.20220713073628.27eeee2
- Update patches

* Sun Feb 27 2022 OSP Prod Chain <dev-null@redhat.com> 3.8.1-0.20220227082212.27eeee2
- Update patches

* Fri Feb 25 2022 OSP Prod Chain <dev-null@redhat.com> 3.8.1-0.20220225084835.27eeee2
- Update patches
- Update TOX_CONSTRAINTS_FILE for stable/wallaby
- Update .gitreview for stable/wallaby
- Move flake8 as a pre-commit local target.

* Tue Aug 03 2021 OSP Prod Chain <dev-null@redhat.com> 3.8.0-0.20210803081816.f1a3f78
- Update patches

* Thu May 27 2021 OSP Prod Chain <dev-null@redhat.com> 3.8.0-0.20210527195802.f1a3f78
- Update patches

* Wed Mar 24 2021 OSP Prod Chain <dev-null@redhat.com> 3.8.0-1
- Update patches

* Sat Mar 13 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Wed Feb 10 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add PBM WSDL for vSphere 7.0
- Imported Translations from Zanata
- Add Python3 wallaby unit tests
- Update master for stable/victoria
- Adding pre-commit

* Tue Dec 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Fri Nov 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Wed Oct 21 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Fri Sep 18 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- [goal] Migrate testing to ubuntu focal
- Bump bandit version

* Fri Jul 24 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add backend-independent access to cookiejar

* Mon Jul 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add moref helper functions
- Align contributing doc with oslo's policy

* Wed Jun 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Validation of VMDK upload completion
- Fix hacking min version to 3.0.1
- Imported Translations from Zanata
- Switch to newer openstackdocstheme and reno versions
- Remove the unused coding style modules
- Remove translation sections from setup.cfg
- Bump default tox env from py37 to py38
- Add py38 package metadata
- Add release notes links to doc index
- Add Python3 victoria unit tests
- Update master for stable/ussuri

* Wed Jun 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Wed Apr 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Thu Apr 09 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use unittest.mock instead of third party mock
- Document disable flake8/hacking warnings

* Thu Apr 09 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Tue Apr 07 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update hacking for Python3
- Pass "base_image_ref" to backend when transfer volume to image
- Drop use of six

* Mon Mar 23 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix object has no attribute 'readinto' in Python3
- Update the tox minversion parameter.

* Fri Mar 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Ensure lease polling raises proper exception
- Add ability to change read chunk size

* Thu Mar 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Ensure lease polling raises proper exception
- Add ability to change read chunk size
- Ensure lease polling raises proper exception
- Add ability to change read chunk size

* Thu Mar 12 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Ensure lease polling raises proper exception
- Add ability to change read chunk size

* Thu Mar 05 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- remove outdated header
- reword releasenote for py27 support dropping
- Adds standard file operation functions
- [ussuri][goal] Drop python 2.7 support and testing

* Wed Jan 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Pass "store_id" to backend when transfer volume to image
- tox: Trivial cleanup
- Merge "Switch to Ussuri jobs"
- Switch to Ussuri jobs
- tox: Keeping going with docs
- Update master for stable/train

* Wed Nov 13 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches


